javax.xml.bind.helpers

## Class PrintConversionEventImpl

- java.lang.Object
- - javax.xml.bind.helpers.ValidationEventImpl
  - - javax.xml.bind.helpers.PrintConversionEventImpl

- All Implemented Interfaces:
    PrintConversionEvent, ValidationEvent

      public class PrintConversionEventImpl
      extends ValidationEventImpl
      implements PrintConversionEvent

  Default implementation of the PrintConversionEvent interface.

  JAXB providers are allowed to use whatever class that implements the ValidationEvent interface. This class is just provided for a convenience.

  Since:
    JAXB1.0
  Author:
    - Ryan Shoemaker, Sun Microsystems, Inc.
  See Also:
    `PrintConversionEvent`, `Validator`, `ValidationEventHandler`, `ValidationEvent`, `ValidationEventLocator`

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.bind.ValidationEvent

      `ERROR, FATAL_ERROR, WARNING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrintConversionEventImpl(int _severity, String _message, ValidationEventLocator _locator)` Create a new PrintConversionEventImpl.
    `PrintConversionEventImpl(int _severity, String _message, ValidationEventLocator _locator, Throwable _linkedException)` Create a new PrintConversionEventImpl.

  - ### Method Summary

    - ### Methods inherited from class javax.xml.bind.helpers.ValidationEventImpl

      `getLinkedException, getLocator, getMessage, getSeverity, setLinkedException, setLocator, setMessage, setSeverity, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.xml.bind.ValidationEvent

      `getLinkedException, getLocator, getMessage, getSeverity`

- - ### Constructor Detail

    - #### PrintConversionEventImpl

          public PrintConversionEventImpl(int _severity,
                                  String _message,
                                  ValidationEventLocator _locator)

      Create a new PrintConversionEventImpl.
      Parameters:
        `_severity` - The severity value for this event. Must be one of ValidationEvent.WARNING, ValidationEvent.ERROR, or ValidationEvent.FATAL_ERROR
        `_message` - The text message for this event - may be null.
        `_locator` - The locator object for this event - may be null.
      Throws:
        `IllegalArgumentException` - if an illegal severity field is supplied

    - #### PrintConversionEventImpl

          public PrintConversionEventImpl(int _severity,
                                  String _message,
                                  ValidationEventLocator _locator,
                                  Throwable _linkedException)

      Create a new PrintConversionEventImpl.
      Parameters:
        `_severity` - The severity value for this event. Must be one of ValidationEvent.WARNING, ValidationEvent.ERROR, or ValidationEvent.FATAL_ERROR
        `_message` - The text message for this event - may be null.
        `_locator` - The locator object for this event - may be null.
        `_linkedException` - An optional linked exception that may provide additional information about the event - may be null.
      Throws:
        `IllegalArgumentException` - if an illegal severity field is supplied

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.